be.vlaanderen.mercurius.efact.df019.v1

## Class CareServiceType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.CareServiceType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CancelledCareServiceType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class CareServiceType
      extends Object
      implements Serializable

  Java class for CareServiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CareServiceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb/common/care-provider/v1}CareServiceCodeType"/>
               <element name="RelativeCareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb/common/care-provider/v1}CareServiceCodeType" minOccurs="0"/>
               <element name="CareServiceAmounts" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}CareServiceAmountsType"/>
               <element name="NumberUnits" type="{http://www.w3.org/2001/XMLSchema}int"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareServiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareServiceAmountsType` | `getCareServiceAmounts()` Gets the value of the careServiceAmounts property.
    `String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
    `int` | `getNumberUnits()` Gets the value of the numberUnits property.
    `String` | `getRelativeCareServiceCode()` Gets the value of the relativeCareServiceCode property.
    `void` | `setCareServiceAmounts(CareServiceAmountsType value)` Sets the value of the careServiceAmounts property.
    `void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
    `void` | `setNumberUnits(int value)` Sets the value of the numberUnits property.
    `void` | `setRelativeCareServiceCode(String value)` Sets the value of the relativeCareServiceCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CareServiceType

          public CareServiceType()

  - ### Method Detail

    - #### getCareServiceCode

          public String getCareServiceCode()

      Gets the value of the careServiceCode property.
      Returns:
        possible object is `String`

    - #### setCareServiceCode

          public void setCareServiceCode(String value)

      Sets the value of the careServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRelativeCareServiceCode

          public String getRelativeCareServiceCode()

      Gets the value of the relativeCareServiceCode property.
      Returns:
        possible object is `String`

    - #### setRelativeCareServiceCode

          public void setRelativeCareServiceCode(String value)

      Sets the value of the relativeCareServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareServiceAmounts

          public CareServiceAmountsType getCareServiceAmounts()

      Gets the value of the careServiceAmounts property.
      Returns:
        possible object is `CareServiceAmountsType`

    - #### setCareServiceAmounts

          public void setCareServiceAmounts(CareServiceAmountsType value)

      Sets the value of the careServiceAmounts property.
      Parameters:
        `value` - allowed object is `CareServiceAmountsType`

    - #### getNumberUnits

          public int getNumberUnits()

      Gets the value of the numberUnits property.

    - #### setNumberUnits

          public void setNumberUnits(int value)

      Sets the value of the numberUnits property.

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.